BLK_START_REQUEST(9)

NAME
blk_start_request - start request processing on the driver

SYNOPSIS

void blk_start_request(struct request * req);

ARGUMENTS

req
    request to dequeue

DESCRIPTION

Dequeue req and start timeout timer on it. This hands off the request to the driver.

Block internal functions which don't want to start timer should call blk_dequeue_request.

CONTEXT

queue_lock must be held.

COPYRIGHT